import numpy as np
from matplotlib import pyplot as plt
from matplotlib.animation import FuncAnimation

data = np.loadtxt("../out/positions.dat")
print(data.shape)
skip = data[0,1]
N = int(data[0,0]/skip)
nSteps = int(data.shape[0]/N)
print(nSteps)
dim = data.shape[1]

x = data[1:, 0]
y = data[1:, 1]

fig = plt.figure()

def animate(i):
    xi = x[i*N:(i+1)*N]
    yi = y[i*N:(i+1)*N]
    plt.cla()
    plt.scatter(xi, yi, s=1)
    plt.xlim(-1, 1)
    plt.ylim(-1, 1)

animation = FuncAnimation(fig, animate, frames=nSteps)
animation.save("animation.mp4", writer="ffmpeg")
plt.show()